Bug 430020 - Generate GUID for users
Generate GUID for users
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.2
All Linux
low Severity low
: v2 release
: ---
Assigned To: Simo Sorce
Chandrasekar Kannan
:
Depends On:
Blocks: 431020 freeipa12
  Show dependency treegraph
 
Reported: 2008-01-24 01:56 EST by Chandrasekar Kannan
Modified: 2012-03-27 03:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-01-24 01:56:53 EST
Ticket #126 (assigned enhancement)

Opened 2 months ago

Last modified 2 months ago
Generate GUID for users
Reported by: 	kmacmill 	Assigned to: 	kmacmill (accepted)
Priority: 	minor 	Milestone: 	release-1
Component: 	ipa-server 	Version: 	
Keywords: 		Cc: 	
Change History
2007-12-05 11:42:03 changed by simo ¶

    * priority changed from major to minor.

2007-12-05 11:42:20 changed by kmacmill ¶

    * owner changed from simo to kmacmill.
    * status changed from new to assigned.
    * milestone changed from milestone-6 to release-1.

2007-12-05 11:42:38 changed by kmacmill ¶

    * component changed from documentation to ipa-server.
Comment 4 Rob Crittenden 2010-02-15 14:20:13 EST
Addressed in IPA v2, attribute ipaUniqueID
Comment 5 Jenny Galipeau 2011-06-10 13:15:14 EDT
verified 

# ipa user-add --first=Donald --last=Duck dduck
------------------
Added user "dduck"
------------------
  User login: dduck
  First name: Donald
  Last name: Duck
  Full name: Donald Duck
  Display name: Donald Duck
  Initials: DD
  Home directory: /home/dduck
  GECOS field: dduck
  Login shell: /bin/sh
  Kerberos principal: dduck@TESTRELM
  UID: 754600005



# ipa user-show --all dduck
  dn: uid=dduck,cn=users,cn=accounts,dc=testrelm
  User login: dduck
  First name: Donald
  Last name: Duck
  Full name: Donald Duck
  Display name: Donald Duck
  Initials: DD
  Home directory: /home/dduck
  GECOS field: dduck
  Login shell: /bin/sh
  Kerberos principal: dduck@TESTRELM
  UID: 754600005
  GID: 754600005
  Account disabled: False
  Member of groups: ipausers
  ipauniqueid: 11ae1b5c-9385-11e0-8d32-5254002d6d83
  krbpwdpolicyreference: cn=global_policy,cn=TESTRELM,cn=kerberos,dc=testrelm
  mepmanagedentry: cn=dduck,cn=groups,cn=accounts,dc=testrelm
  objectclass: top, person, organizationalperson, inetorgperson, inetuser, posixaccount, krbprincipalaux, krbticketpolicyaux, ipaobject, mepOriginEntry


# rpm -qi ipa-server | head
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.0.0                             Vendor: Red Hat, Inc.
Release     : 23.el6                        Build Date: Wed 20 Apr 2011 09:57:13 AM EDT
Install Date: Thu 19 May 2011 12:47:52 PM EDT      Build Host: x86-003.build.bos.redhat.com
Group       : System Environment/Base       Source RPM: ipa-2.0.0-23.el6.src.rpm
Size        : 2565882                          License: GPLv3+
Signature   : RSA/8, Thu 21 Apr 2011 03:48:25 PM EDT, Key ID 199e2f91fd431d51
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server

Note You need to log in before you can comment on or make changes to this bug.